POST
/v1/mgmt/thirdparty/app/createAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
name?string
description?string
logo?string
loginPageUrl?string
approvedCallbackUrls?array<string>
string
permissionsScopes?array<managementv1.ApplicationScope>
attributesScopes?array<managementv1.ApplicationScope>
consentFlowId?string
logoUrl?string
jwtBearerSettings?object
string backChannelLogoutUrl = 10 [(validate).string = {url: true, optional: true}];
sessionSettings?object
nonConfidentialClient?boolean
audienceWhitelist?array<string>
string
clientId?string
clientSecret?string
forceAddAllAuthorizationInfo?boolean
connectionsScopes?array<managementv1.ApplicationScope>
defaultAudience?string
customAttributes?object
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
Example
{
"attribute-key": "attribute-value"
}cibaSettings?object
jarSettings?object
JAR (JWT-Secured Authorization Request, RFC 9101) settings for Third Party Applications
allowedTenants?array<string>
string
Create a new third party application, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/create" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "cleartext": "string", "clientId": "string"}export interface Response {id?: stringcleartext?: stringclientId?: string} Was this helpful?